<?php
/**
* BIG FISH Ltd.
* http://www.bigfish.hu
*
* @title      Magento -> Custom Payment Module for BIG FISH Payment Gateway
* @category   BigFish
* @package    BigFish_PaymentGateway
* @author     Gabor Huszak / BIG FISH Ltd. -> huszy [at] bigfish [dot] hu
* @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
* @copyright  Copyright (c) 2011, BIG FISH Ltd.
*/

$this->startSetup();

// Deprecated payment method handling
$deprecatedPaymentMethods = array(
	'abaqoos',
	'escalion',
	'fhb',
	'otp2',
	'otpay',
	'otpaymp',
	'otpmultipont',
	'sms',
);

if (!empty($deprecatedPaymentMethods)) {
	$setup = new Mage_Core_Model_Config();
	foreach ($deprecatedPaymentMethods as $paymentMethod) {
		$configPath = 'payment/paymentgateway_' . strtolower($paymentMethod) . '/active';
		if (Mage::getStoreConfig($configPath, Mage::app()->getStore()) !== null) {
			$setup->saveConfig($configPath, 0, 'default', 0);
		}
	}
}

$this->endSetup();
